summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-prof
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/ruby-prof
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/ruby-prof')
-rw-r--r--dev-ruby/ruby-prof/Manifest1
-rw-r--r--dev-ruby/ruby-prof/metadata.xml9
-rw-r--r--dev-ruby/ruby-prof/ruby-prof-1.7.2.ebuild46
3 files changed, 56 insertions, 0 deletions
diff --git a/dev-ruby/ruby-prof/Manifest b/dev-ruby/ruby-prof/Manifest
new file mode 100644
index 000000000000..b7216fc64a2a
--- /dev/null
+++ b/dev-ruby/ruby-prof/Manifest
@@ -0,0 +1 @@
+DIST ruby-prof-1.7.2.tgz 250830 BLAKE2B a16544c25b575041ea80e744254804cb17c798acdb3e31128bb97287d79f9cbf0e1723c2a5dd714134651f5ed08ee554a9056d2ab6bcaacf6a011e6550aa6c2e SHA512 d9140c6a345507576add5c95ace6e623ef37fa53c15b6d0d44735415b2d21935e51ed61a6ae9abc3aa3d425fcecb69cebfbf03c5c3ffa6d2fc072971df34d20d
diff --git a/dev-ruby/ruby-prof/metadata.xml b/dev-ruby/ruby-prof/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/ruby-prof/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/ruby-prof/ruby-prof-1.7.2.ebuild b/dev-ruby/ruby-prof/ruby-prof-1.7.2.ebuild
new file mode 100644
index 000000000000..d6c7728759b1
--- /dev/null
+++ b/dev-ruby/ruby-prof/ruby-prof-1.7.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGES"
+RUBY_FAKEGEM_DOCDIR="doc"
+
+RUBY_FAKEGEM_GEMSPEC="ruby-prof.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/ruby_prof/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR="lib"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A module for profiling Ruby code"
+HOMEPAGE="https://github.com/ruby-prof/ruby-prof"
+SRC_URI="https://github.com/ruby-prof/${PN}/archive/${PV}.tar.gz -> ${P}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/base64"
+
+ruby_add_bdepend "test? ( dev-ruby/test-unit:2 dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Avoid bundler
+ sed -i -e '/bundler/I s:^:#:' -e '/:build/ s:^:#:' Rakefile || die
+
+ sed -i -e '2igem "test-unit"' -e '/bundler/ s:^:#:' test/test_helper.rb || die
+
+ # We install the shared object in lib, not ext.
+ sed -i -e 's#../ext/ruby_prof#../lib/ruby_prof#' lib/ruby-prof.rb || die
+
+ # Avoid unneeded dependency on rake-compiler
+ sed -i -e '/extensiontask/ s:^:#:' \
+ -e '/ExtensionTask/,/end/ s:^:#:' Rakefile || die
+
+ # Don't strip library by default
+ sed -i -e '/LDFLAGS/ s/-s//' ext/ruby_prof/extconf.rb || die
+}